      subroutine head_i(iunit,cform)
c-------------------------------------------------------------------------
c     SUBROUTINE HEAD_I
c-------------------------------------------------------------------------
c     Subroutine voor inlezen van de kop van de in te lezen bestanden
c
c     De kop wordt ingelezen middels door telkens twee karakters in te
c     lezen. als deze karakters gelijk zijn aan '==' dan wordt het
c     format voor de file ingelezen
c
c     Auteur   : J.P.M. Witte (LUW)
c     Aangepast: Herbert Bos
c     Datum    : 7 maart 1995
c
c     (c) RIVM/RIZA 1991,1995
c-------------------------------------------------------------------------
c     Gebruikte locale variabelen:
c
c     j       : aantal ingelezen regels uit bodem-bestand per gridcel
c     ios     : variabele voor het bepalen van de status van het bestand
c-------------------------------------------------------------------------
c
c type declaratie globale variabelen
c
      integer iunit
      character cform*60
c
c declaratie locale variabelen
c
      character cinl*2
      integer ios
c
c lees invoerbestand net zolang totdat '==' gevonden wordt
c
10    read (iunit,'(a)',iostat=ios) cinl
      if (ios .lt.0) goto 20
      if (cinl .ne. '==') then
         goto 10
      else
         goto 30
      end if
20    stop 'Fout in invoerbestand: kop ontbreekt of lege file'
30    read(iunit,'(a)')cform
      return
      end
